# Uses of Interface
org.eclipse.emf.cdo.security.Realm

Packages that use Realm
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.
org.eclipse.emf.cdo.server.security
Server integration of the `Security` model.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.

## Uses of Realm in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return Realm
Modifier and Type
Method
Description
`Realm`
SecurityFactory.`createRealm()`
Returns a new object of class 'Realm'.
`Realm`
SecurityFactory.`createRealm(String name)`
`Realm`
SecurityFactory.`createRealm(String name, Access defaultAccess)`
`Realm`
SecurityElement.`getRealm()`

## Uses of Realm in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Realm
Modifier and Type
Class
Description
`class`
`RealmImpl`
An implementation of the model object 'Realm'.
Methods in org.eclipse.emf.cdo.security.impl that return Realm
Modifier and Type
Method
Description
`Realm`
SecurityFactoryImpl.`createRealm()`
`Realm`
SecurityFactoryImpl.`createRealm(String name)`
`Realm`
SecurityFactoryImpl.`createRealm(String name, Access defaultAccess)`
`Realm`
RealmImpl.`getRealm()`
`Realm`
SecurityElementImpl.`getRealm()`

## Uses of Realm in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Realm
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseRealm(Realm object)`
Returns the result of interpreting the object as an instance of 'Realm'.
`protected CDORevisionProvider`
SecurityValidator.`getRevisionProvider(Realm realm, Map<Object,Object> context)`
`protected CDOBranchPoint`
SecurityValidator.`getSecurityContext(Realm realm, Map<Object,Object> context)`
`boolean`
SecurityValidator.`validateRealm(Realm realm, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
SecurityValidator.`validateRealm_HasAdministrator(Realm realm, DiagnosticChain diagnostics, Map<Object,Object> context)`
Validates the HasAdministrator constraint of 'Realm'.

## Uses of Realm in org.eclipse.emf.cdo.server.security

Methods in org.eclipse.emf.cdo.server.security that return Realm
Modifier and Type
Method
Description
`Realm`
ISecurityManager.`getRealm()`
Methods in org.eclipse.emf.cdo.server.security with parameters of type Realm
Modifier and Type
Method
Description
`static Role`
SecurityManagerUtil.`addResourceRole(Realm realm, String roleName, String resourcePath, boolean writable)`
`void`
ISecurityManager.RealmOperation.`execute(Realm realm)`

## Uses of Realm in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type Realm
Modifier and Type
Method
Description
`protected void`
AnnotationHandler.`handleClassPermission(Realm realm, EClass eClass, String key, Access access)`
`protected void`
AnnotationHandler.`handlePackage(Realm realm, EPackage ePackage)`
`protected void`
AnnotationHandler.`handlePackagePermission(Realm realm, EPackage ePackage, String key, Access access)`
`protected void`
AnnotationHandler.`handlePermission(Realm realm, EModelElement modelElement, String key, Access access, EClass filterClass, EReference filterFeature)`
`protected void`
HomeFolderHandler.`handleUser(CDOTransaction transaction, Realm realm, Role role, User user)`